Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUVariableIteratorDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCExecutableBindingDef
oracle.adf.model.binding.DCIteratorBindingDef
oracle.jbo.uicli.binding.JUIteratorDef
oracle.jbo.uicli.binding.JUVariableIteratorDef`

All Implemented Interfaces:
  oracle.adf.model.binding.DCIExecutableDef, oracle.jbo.VariableManagerOwner

public class JUVariableIteratorDef
extends JUIteratorDef
implements oracle.jbo.VariableManagerOwner

Field Summary

Fields inherited from class oracle.adf.model.binding.DCIteratorBindingDef
`mRangeSize, PNAME_RangeSize, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`EXECUTABLE_ACTION, EXECUTABLE_ITERATORBINDING, EXECUTABLE_REGION, PNAME_option, PNAME_option_ALWAYS, PNAME_option_DEFAULT, PNAME_option_DEFER, PNAME_option_NEVER, PNAME_option_PREPARE, PNAME_option_PREPARE_OPT, PNAME_option_REFRESH, PNAME_option_REFRESH_OPT, PNAME_option_RENDER, PNAME_option_RENDER_OPT, PNAME_optionExpr, RC_ALWAYS, RC_DEFAULT, RC_DEFER, RC_NEVER, RC_PREPARE, RC_PREPARE_OPT, RC_REFRESH, RC_REFRESH_OPT, RC_RENDER, RC_RENDER_OPT`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUVariableIteratorDef()`

Method Summary
`DCIteratorBinding` | `createIterBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer bc)`
`DCIteratorBinding` | `createIterBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer bc, oracle.jbo.ApplicationModule anchorAM)`
`oracle.jbo.VariableValueManager` | `ensureVariableManager()`
`java.lang.Class` | `getMessageBundleClass()`
`oracle.jbo.VariableValueManager` | `getVariableManager()`
`protected oracle.jbo.VariableValueManager[]` | `getVarMgrParents()`
`boolean` | `hasVariables()`
`void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `loadVariables(oracle.jbo.mom.xml.DefElement xmlElement)`

Methods inherited from class oracle.adf.model.binding.DCIteratorBindingDef
`createExecutableBinding, getAMName, getBindsName, getDataControlName, getDesignTimeClass, getExecutableType, getLevel, getPermissionClassName, getPermissionTargetName, getRangeSize, getRSIName, getSortCriteria, getXMLElementTag, init, isObjectType, isSortable, isStateValidationEnabled, retrieveFromXML, setBindingContainerDef, setStateValidationEnabled`

Methods inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`getName, getRefreshExpression, getRefreshOption, internalGetRefreshOptionFromString, internalHasPermission, isRefreshable`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getName`

Constructor Detail

### JUVariableIteratorDef

    public JUVariableIteratorDef()

Method Detail

### createIterBinding

    public DCIteratorBinding createIterBinding(oracle.adf.model.BindingContext ctx,
                                               DCBindingContainer bc,
                                               oracle.jbo.ApplicationModule anchorAM)

  Overrides:
    `createIterBinding` in class `JUIteratorDef`

### createIterBinding

    public DCIteratorBinding createIterBinding(oracle.adf.model.BindingContext ctx,
                                               DCBindingContainer bc)

  Overrides:
    `createIterBinding` in class `JUIteratorDef`

### loadChildrenFromXML

    public void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCIteratorBindingDef`

### loadVariables

    protected void loadVariables(oracle.jbo.mom.xml.DefElement xmlElement)

### getVariableManager

    public final oracle.jbo.VariableValueManager getVariableManager()

  Specified by:
    `getVariableManager` in interface `oracle.jbo.VariableManagerOwner`

### getVarMgrParents

    protected final oracle.jbo.VariableValueManager[] getVarMgrParents()

### hasVariables

    public final boolean hasVariables()

  Specified by:
    `hasVariables` in interface `oracle.jbo.VariableManagerOwner`

### ensureVariableManager

    public final oracle.jbo.VariableValueManager ensureVariableManager()

  Specified by:
    `ensureVariableManager` in interface `oracle.jbo.VariableManagerOwner`

### getMessageBundleClass

    public final java.lang.Class getMessageBundleClass()

  Specified by:
    `getMessageBundleClass` in interface `oracle.jbo.VariableManagerOwner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.